Skip to main content

X/Z Reporting

As well as processing transactions, axept® PRO supports functionality to report upon processed transactions. This section of the document will detail how reports can be obtained.

Reports​

It is possible to generate the following reports on axept® PRO:

Report TypeDescription
XProvides overall totals of the transactions that have been processed since the last Z report.
ZSame as an X report, however, running a Z report will revert all totals back to zero.
ALL_OPEN_PAReturns all open Pre-Auths that have not yet been settled (Completion).
STATUS_CHECKReturns the status of the selected ‘preauthid’, if no ‘preauthid’ is presented then the cardholder will be prompted to provide card.

GET /reports​

URL

https://(TerminalIP):8080/POSitiveWebLink/1.1.0/rest/reports

An HTTPS GET request should be sent to the above URL with the following parameters:

GET /reports Query String Parameters
Field NameStateData TypeDescription
tidMandatoryStringThis is the serial number of the PAX IM30 that should process the transaction.
reportTypeMandatoryStringIndicates which report to run. Possible values are:
XReportProvides overall totals of the transactions that have been processed since the last Z report.
ZReportSame as an X report, however, running a Z report will revert all totals back to zero.
ALL_OPEN_PAReturns all open Pre-Auths that have not yet been settled (Completion).
STATUS_CHECKReturns the status of the selected ‘preauthid’, if no ‘preauthid’ is presented then the cardholder will be prompted to provide card.
GET /reports Header Parameters
AuthorizationMandatoryStringThis field should be populated with a value of
Bearer 6945595921271780

GET Request Example​

GET https://192.168.10.44:8080/POSitiveWebLink/1.1.0/rest/reports?tid=1640005298&reportType=XReport
HTTP/1.1
Content-Type: application/json
Authorization: Bearer 6945595921271780
User-Agent: PostmanRuntime/7.26.8
Accept: */*
Host: 192.168.0.75:8080
Accept-Encoding: gzip, deflate, br
Connection: keep-alive

GET Response Fields​

In response to the GET, axept® PRO will return one of six response codes:

HTTP Response CodeDescription
200Request was successful.
206Transaction in progress. Reports cannot be generated when a transaction is in progress.
400Bad input parameter. Details would be returned in a text description.
403Not Authorised
404Not found. Details would be returned in a text description.
408Request timeout.

GET Response '200' fields​

If the HTTP response code is 200, the body will contain the following fields:

GET /reports Response Body Parameters
Field NameData TypeDescription
reportTypeStringThe report type. Possible values are:
ZReportXReport
reportResponseBooleanIndicates if the report generated successfully.
saleCountIntegerThe number of sale transactions processed since the last Z report.
refundCountIntegerThe number of refund transactions processed since the last Z report.
completionCountIntegerThe number of completion transactions processed since the last Z report.
cashbackCountIntegerThe number of cashback transactions processed since the last Z report.
gratuityCountIntegerThe number of sale transactions including a gratuity that have been processed since the last Z report.
saleAmountIntegerThe cumulative value of all sale transactions processed since the last Z report.
refundAmountIntegerThe cumulative value of all refund transactions processed since the last Z report.
completionAmountIntegerThe cumulative value of all completion transactions processed since the last Z report.
cashbackAmountIntegerThe cumulative value of all cashback transactions processed since the last Z report.
gratuityAmountIntegerThe cumulative value of all gratuity transactions processed since the last Z report.

GET Example Response​

HTTP/1.1 200
Content-Type: application/json
Date: Wed, 20 Jan 2021 17:05:07 GMT
Allow: POST, GET, OPTIONS, DELETE
Access-Control-Max-Age: 86400
Access-Control-Allow-Methods: POST, GET, OPTIONS, DELETE
Access-Control-Allow-Headers: *
Access-Control-Allow-Origin: *
Connection: keep-alive
Content-Encoding: gzip
Transfer-Encoding: chunked
{
"cashbackAmount": 0,
"cashbackCount": 0,
"completionAmount": 0,
"completionCount": 0,
"gratuityAmount": 0,
"gratuityCount": 0,
"refundAmount": 0,
"refundCount": 0,
"reportResponse": true,
"reportType": "XReport",
"saleAmount": 1400,
"saleCount": 5
}